aboutsummaryrefslogtreecommitdiffstats
path: root/ovp_testsuite/create_configmap.sh
diff options
context:
space:
mode:
Diffstat (limited to 'ovp_testsuite/create_configmap.sh')
-rwxr-xr-xovp_testsuite/create_configmap.sh47
1 files changed, 47 insertions, 0 deletions
diff --git a/ovp_testsuite/create_configmap.sh b/ovp_testsuite/create_configmap.sh
new file mode 100755
index 0000000..417984c
--- /dev/null
+++ b/ovp_testsuite/create_configmap.sh
@@ -0,0 +1,47 @@
+#!/bin/bash
+# -*- coding: utf8 -*-
+# ============LICENSE_START=======================================================
+# org.onap.vvp/validation-scripts
+# ===================================================================
+# Copyright © 2020 AT&T Intellectual Property. All rights reserved.
+# ===================================================================
+#
+# Unless otherwise specified, all software contained herein is licensed
+# under the Apache License, Version 2.0 (the "License");
+# you may not use this software except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+#
+#
+# Unless otherwise specified, all documentation contained herein is licensed
+# under the Creative Commons License, Attribution 4.0 Intl. (the "License");
+# you may not use this documentation except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# https://creativecommons.org/licenses/by/4.0/
+#
+# Unless required by applicable law or agreed to in writing, documentation
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# ============LICENSE_END============================================
+
+DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" >/dev/null 2>&1 && pwd )"
+NAMESPACE=$1
+CONFIGMAP=$2
+
+kubectl -n $NAMESPACE create configmap $CONFIGMAP --from-file="$DIR/config.yaml"
+if [ $? -ne 0 ]; then
+ echo "Failed to create configmap, exiting..."
+ exit 1
+fi